#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	dosfstools
Version		:	4.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Utilities for making and checking MS-DOS FAT filesystems on Linux
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/dosfstools/dosfstools

Source0		:	%{name}-%{version}.tar.xz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
dosfstools consists of the programs mkfs.fat, fsck.fat and
fatlabel to create, check and label file systems of the FAT
family.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-compat-symlinks			\
	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
#%{__rm} %{buildroot}%{_infodir}/dir

%files			
%defattr(-,root,root,-)

%doc COPYING NEWS README
%doc ANNOUNCE.mkdosfs README.mkdosfs
%doc ChangeLog.dosfsck ChangeLog.dosfstools-2.x ChangeLog.mkdosfs
%doc README.dosfsck
%doc README.dosfstools-2.x TODO.dosfstools-2.x
%{_sbindir}/dosfsck
%{_sbindir}/dosfslabel
%{_sbindir}/fatlabel
%{_sbindir}/fsck.fat
%{_sbindir}/fsck.msdos
%{_sbindir}/fsck.vfat
%{_sbindir}/mkdosfs
%{_sbindir}/mkfs.fat
%{_sbindir}/mkfs.msdos
%{_sbindir}/mkfs.vfat
%{_mandir}/man8/*.8.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
